package com.winhc.bigdata.bean.case_no;

import java.util.Objects;

/**
 * @Author: XuJiakai
 * 2023/10/31 9:12
 */
public class CaseNoRegionInfoEntity {

    /**
     * 法院代码，主键
     */
    private String court_code;

    private String court_name;

    private String province_code;
    private String city_code;
    private String district_code;

    private String province;
    private String city;
    private String district;

    /**
     * 0,1,2,3 分别为：最高院，高院，中院，基院
     */
    private Integer court_level;
    private String superior_court_code;

    /**
     * 变更或调整说明
     */
    private String description_info;
    /**
     * 0 现有；1 因法院代字变更而调整；9 脏数据逻辑删除
     */
    private Integer deleted;

    public String getCourt_code() {
        return court_code;
    }

    public String getCourt_name() {
        return court_name;
    }

    public String getProvince_code() {
        return province_code;
    }

    public String getCity_code() {
        return city_code;
    }

    public String getDistrict_code() {
        return district_code;
    }

    public String getProvince() {
        return province;
    }

    public String getCity() {
        return city;
    }

    public String getDistrict() {
        return district;
    }

    public Integer getCourt_level() {
        return court_level;
    }

    public String getSuperior_court_code() {
        return superior_court_code;
    }

    public String getDescription_info() {
        return description_info;
    }

    public Integer getDeleted() {
        return deleted;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        CaseNoRegionInfoEntity that = (CaseNoRegionInfoEntity) o;
        return court_code.equals(that.court_code);
    }

    @Override
    public int hashCode() {
        return Objects.hash(court_code);
    }
}
